:root {
    --main: #1c46cf;
    --sub: #00db25;
    --dark: #10004b;
}

header {
    background-color: white;
    display: flex;
    width: 100%;
}

body {
    margin: 0;
    font-family: 'Montserrat', sans-serif;
    color: #333;
    overflow: auto;
}

#logo {
    height: 30px;
    margin: 30px;
}

.wrapper {
    display: flex;
    width: inherit;
    padding: 0 10%;
    box-shadow: 1px 1px 15px 0 #eee;
}

ul {
    margin: 0;
    display: inherit;
    justify-content: flex-end;
}

li {
    font-size: 0.95em;
    list-style: none;
    font-weight: 500;
    display: inline;
    padding: 0 15px;
}

li:hover {
    color: var(--main);
    cursor: pointer;
}

nav {
    display: inherit;
    text-transform: uppercase;
    width: 100%;
    height: 90px;
    justify-content: flex-end;
    align-items: center;
}

main {
    background: linear-gradient(180deg, #f9f9f9, #fff, #f9f9f9);
    padding: 0 10%;
}

#banner {
    position: absolute;
    bottom: 10px;
    right: 10px;
    background: linear-gradient(50deg, white, #eee);
    box-shadow: 2px 2px 5px #999;
    padding: 1em 1.5em;
    color: var(--dark);
    border-radius: 20px;
    text-align: center;
    font-size: 1.2em;
    font-weight: bold;
    z-index: 3;
    animation: padd .5s ease infinite;
    height: 100px;
    width: 300px;
    transition: all .4s linear;
}

@keyframes padd {
    50% {
        padding: 1.2em 1.7em;
        margin: 0 -0.2em -0.2em 0;
    }
}

#banner button {
    background: linear-gradient(50deg, red, #c40000);
    padding: 15px 50px;
    margin-top: 15px;
    border: none;
    border-radius: 10px;
    font-size: 0.8em;
    font-weight: bold;
    color: white;
}

h1 {
    text-transform: uppercase;
    text-align: center;
    padding: 40px 0 0;
    font-size: 2.5em;
}

h3 {
    width: 100%;
    text-align: center;
    margin: 1em;
    text-transform: uppercase;
}

sub {
    display: block;
    font-size: 1em;
    letter-spacing: 2px;
    text-align: center;
    padding: 10px 0 40px;
}

.table-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

form {
    text-align: center;
    font-size: 1.5em;
    margin-bottom: 20px;
}

input[type="radio"],
input[type="checkbox"] {
    opacity: 0;
}

.fakeRadio {
    display: inline-block;
    border: 3px var(--main) solid;
    border-radius: 50%;
    height: 1em;
    width: 1em;
    position: relative;
    margin-right: 0.5em;
    top: 0.3em;
}

.fakeRadio::before {
    content: '';
    position: absolute;
    display: block;
    height: 0.6em;
    width: 0.6em;
    background-color: var(--main);
    border-radius: 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0.2;
    transition: ease-in-out .3s;
}

.radioIn:checked+.fakeRadio::before {
    opacity: 1;
}

.table,
.ingridients {
    width: 50%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}

.table {
    position: relative;
    margin-right: 20px;
    min-height: 487px;
}

.hovered {
    background: #f9f9f9;
    border: 2px dashed var(--main);
    border-radius: 10px;
}

.table>img {
    display: inline-block;
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    margin: auto;
}

.table #sauceClassic {
    z-index: 5;
}

.table #sauceBBQ {
    z-index: 6;
}

.table #sauceRikotta {
    z-index: 7;
}

.table #telya {
    z-index: 8;
}

.table #vetch2 {
    z-index: 14;
}

.table #vetch1 {
    z-index: 15;
}

.table #moc1 {
    z-index: 12;
}

.table #moc2 {
    z-index: 9;
}

.table #moc3 {
    z-index: 13;
}

.ingridients span {
    font-size: 0.9em;
    color: #666;
}

.result {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    padding: 3em;
}

p {
    font-size: 1.8em;
    text-transform: uppercase;
}

.table-wrapper div img {
    width: 100%;
}

.ingridients div {
    display: inline-block;
    width: 30%;
}

.ingridients div img {
    height: 100px;
}

.ingridients span {
    display: block;
    text-align: center;
}

footer {
    background: linear-gradient(50deg, var(--main) -10%, var(--dark) 110%);
    padding: 60px 10% 40px;
}

footer label {
    color: #fff;
}

footer input {
    padding: 10px;
    height: 20px;
    width: 240px;
    margin: 1em;
    border-radius: 10px;
    border: none;
    font-size: 0.9em;
}

.success {
    border: 2px green solid;
}

.error {
    border: 2px red solid;
}

.button {
    padding: 0;
    height: 40px;
    width: 300px;
    font-size: 0.6em;
    background: linear-gradient(50deg, red, #d60000);
    color: white;
    border: none;
    text-transform: uppercase;
    font-weight: 600;
    border-radius: 10px;
}

.button:last-child {
    background: linear-gradient(30deg, var(--sub), #00740a);
    height: 50px;
    width: 350px;
}

address {
    text-align: center;
    margin-top: 40px;
    color: white;
}

.x {
    margin-left: 8px;
    padding: 2px 7px;
    border: none;
    background-color: red;
    font-weight: 900;
    font-size: 1.1em;
    color: white;
    border-radius: 50%;
    box-shadow: 1px 1px 3px 0 #aaa;
}

p.element {
    text-transform: none;
    display: inline-block;
    font-size: 1.2em;
}

.div {
    margin: 1em;
}

footer>h2,
footer>sub {
    color: white;
    text-align: center;
}

footer>h2 {
    text-transform: uppercase;
    font-size: 2em;
}

.grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
}

footer>form>div>label,
input[name='cancel'] {
    justify-self: right;
    margin: 1em;
}

footer>form>div>p {
    grid-column: 2/3;
    justify-self: left;
    padding-left: 1.2em;
    font-size: 0.8em;
    margin-top: -12px;
    text-transform: none;
    color: red;
}

._js-delete {
    cursor: pointer;
}

.green-border {
    border: 3px solid rgb(2, 255, 2);
}

.red-border {
    border: 3px dashed red;
}

@media screen and (max-width:600px) {

    nav,
    #banner {
        display: none;
    }

    .wrapper {
        display: block;
        text-align: center;
    }

    .table-wrapper {
        display: block;
        text-align: center;
        margin-top: 80px;
    }

    .ingridients,
    .table {
        width: 100%;
    }

    .table {
        margin: 100px 0;
    }

    label {
        display: block;
    }

    .grid {
        grid-template-columns: 100%;
    }

    .grid>input,
    input.button {
        width: 90%;
        margin: 10px 0;
        padding: 5%;
    }

    footer>form>div>label,
    input[name='cancel'],
    footer>form>div>p {
        justify-self: center;
        margin: 10px 0;
    }

    footer>form>div>input[name='btnSubmit'] {
        width: 100% !important;
    }

    .result {
        display: block;
        padding: 30px 0 0;
        text-align: center;
    }
}

#sauce,
#topping {
    display: inline-flex;
    flex-direction: column;
    gap: 10px;
}